I am new to Rails and Cucumber. Can someone help me with the error below?

I am on windows 7, ruby 2.2.2p95, rails 4.2.3.

C:\sites\gmail>rails generate cucumber

C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sqlite3-1.3.10-x64-mingw32/lib/sqlite3.rb

:6:in `require’: cannot load such file – sqlite3/sqlite3_native (LoadError)

from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sqlite3-1.3.10-x64-mingw32/l

ib/sqlite3.rb:6:in `rescue in <top (required)>’

from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sqlite3-1.3.10-x64-mingw32/l

ib/sqlite3.rb:2:in `<top (required)>’

from C:/sites/gmail/config/application.rb:5:in `require’

from C:/sites/gmail/config/application.rb:5:in `<top (required)>’

from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/com

mands/commands_tasks.rb:141:in `require’

from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/com

mands/commands_tasks.rb:141:in `require_application_and_environment!’

from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/com

mands/commands_tasks.rb:128:in `generate_or_destroy’

from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/com

mands/commands_tasks.rb:50:in `generate’

from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/com

mands/commands_tasks.rb:39:in `run_command!’

from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/com

mands.rb:17:in `<top (required)>’

from bin/rails:4:in `require’

from bin/rails:4:in `’

The sqlite3 gem also requires a native SQLite3 driver to be installed. See this post for possible solutions:

http://stackoverflow.com/questions/15480381/how-do-i-install-sqlite3-for-ruby-on-windows

–Matt Jones